Bug 601721 - IE - config props appear editable when in view mode
IE - config props appear editable when in view mode
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
1.3.1
All Windows
medium Severity medium (vote)
: ---
: ---
Assigned To: Charles Crouch
Mike Foley
:
Depends On:
Blocks: rhq4
  Show dependency treegraph
 
Reported: 2010-06-08 10:09 EDT by Ian Springer
Modified: 2015-02-01 18:26 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Win XP SP3, IE8
Last Closed: 2013-09-03 12:55:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
note, despite being in view mode, the inputs are white and the first one contains a text cursor (37.16 KB, image/png)
2010-06-08 10:10 EDT, Ian Springer
no flags Details
Screenshot (98.70 KB, image/png)
2011-06-13 05:38 EDT, Sunil Kondkar
no flags Details

  None (edit)
Description Ian Springer 2010-06-08 10:09:28 EDT
The text input boxes are white and when they are clicked, a blinking text cursor appears, which suggests the input is editable, even though it is currently disabled. See attached screenshot.

We need to see if this is also an issue on IE6 and/or IE7.
Comment 1 Ian Springer 2010-06-08 10:10:27 EDT
Created attachment 422216 [details]
note, despite being in view mode, the inputs are white and the first one contains a text cursor
Comment 2 Joseph Marques 2010-06-08 10:24:22 EDT
I see the same thing on IE6 for the Inventory>Connection page.  Interestingly, the boxes are properly grayed out for the Configuration sub-tabs.
Comment 3 Jay Shaughnessy 2010-06-08 10:29:05 EDT
I am not seeing this in IE7.0.6000
Comment 4 Jay Shaughnessy 2010-06-08 11:17:59 EDT
To be clear, I'm not seeing the issue in either the resource config or the conn props in IE7.  Set fields are white but non-editable with no cursor.  Unset fields are greyed out.  Going into edit mode also works as does returning from edit mode via cancel.
Comment 5 Ian Springer 2010-06-08 14:42:18 EDT
Some more background on this one after some recollection... 

The read-only text and textarea inputs are made read-only via the readonly="readonly" attribute, rather than via the disabled="disabled" attribute. This was done, because I wanted the values to still be selectable so users could copy the values to the clipboard (this is not possible with disabled inputs). This is ok in FF, because FF grays out readonly inputs. However, it appears that IE6 and IE8 do not. So I think the solution is to figure out a way to manually gray out the inputs if on IE by changing their CSS color attributes via JavaScript. The last resort would be to use the disabled attribute instead of the readonly attribute, which would have the disadvantage of making the input values non-selectable.

The following page is a helpful test page for checking how different browsers render disabled versus readonly inputs:

http://tink.co.uk/disabled-read-only-form-test-page/
Comment 6 Charles Crouch 2010-06-08 16:44:31 EDT
Further breakdown of the issue:
a) Read-only resource configuration appears editable but is not. 
    Seen in IE8(ian,charles), but not in IE7(jay,charles), IE6(joe)
b) Read-only plugin configuration appears editable but is not. 
    Seen in IE8(joe,charles), IE6(joe), but not in IE7(jay)


IE Browser Versions:
charles: 7.0.7530.13
Jay: 7.0.6000.16890
joseph: 6.0.2900.5512.xpsp_sp3_gdr.100216-1514 
joseph: 8.0.6001.18702
charles: 8.0.7600.16385
ips: 8.0.6001.18702

Given the configuration is still not actually editable, continuing to keep this as low priority
Comment 7 Ian Springer 2010-06-08 16:59:21 EDT
To clarify, even FF will let you select a readonly input (which means a text cursor will appear inside the input). The difference is FF (and IE7?) will also gray out the input, while IE6 and IE8 will not. It is the selectability combined with the lack of graying out that makes the inputs really appear editable.
Comment 8 Ian Springer 2011-02-11 17:42:06 EST
I need to try this out on IE8 with coregui to see if read-only properties are rendered in an intuitive fashion. We should consider just using StaticTextItems for read-only props.
Comment 9 Ian Springer 2011-03-28 17:13:31 EDT
Read-only props are now rendered in coregui/GWT using StaticTextItems, i.e. they will be straight text, rather than form inputs. One exception is read-only password properties, which are rendered as inputs for now due to the current lack of password property masking at the SLSB layer.
Comment 10 Sunil Kondkar 2011-06-13 05:36:49 EDT
Verified on build#123 (Version: 4.1.0-SNAPSHOT Build Number: a6d2d56)

Verified on Firefox3.6.3, IE7 and IE8. The read-only properties now appear as straight text. Please refer the attached screenshot taken on IE7.

Marking as verified.
Comment 11 Sunil Kondkar 2011-06-13 05:38:47 EDT
Created attachment 504402 [details]
Screenshot
Comment 14 Heiko W. Rupp 2013-09-03 12:55:32 EDT
Bulk closing of old issues that are in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.